# Package org.codehaus.commons.compiler.util.reflect

package org.codehaus.commons.compiler.util.reflect
Utility functionality related to `java.util.reflect`.

Related Packages
Package
Description
org.codehaus.commons.compiler.util
Utility functionality for this project.
org.codehaus.commons.compiler.util.iterator
org.codehaus.commons.compiler.util.resource
Classes related to loading "resources" (`ResourceFinder`) and creating resources (`ResourceCreator`).
Class
Description
ApiLog
Simple logging of method invocations.
ByteArrayClassLoader
This `ClassLoader` allows for the loading of a set of Java classes provided in class file format.
Classes
Utility methods related to `Class`.
Methods
Utility methods related to `Method`.
NoException
An exception that is never instantiated, and is useful for declaration of methods that throw a parameterized `Throwable`.
Proxies